Package org.drinkless.tdlib

# Class TdApi.UpdateChatMember

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateChatMember

Enclosing class:
  `TdApi`

public static class TdApi.UpdateChatMember extends TdApi.Update
User rights changed in a chat; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `actorUserId`
  Identifier of the user, changing the rights.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the user rights were changed.
  `TdApi.ChatInviteLink`
  `inviteLink`
  If user has joined the chat using an invite link, the invite link; may be null.
  `TdApi.ChatMember`
  `newChatMember`
  New chat member.
  `TdApi.ChatMember`
  `oldChatMember`
  Previous chat member.
  `boolean`
  `viaChatFolderInviteLink`
  True, if the user has joined the chat using an invite link for a chat folder.
  `boolean`
  `viaJoinRequest`
  True, if the user has joined the chat after sending a join request and being approved by an administrator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateChatMember()`
  User rights changed in a chat; for bots only.
  `UpdateChatMember(long chatId, long actorUserId, int date, TdApi.ChatInviteLink inviteLink, boolean viaJoinRequest, boolean viaChatFolderInviteLink, TdApi.ChatMember oldChatMember, TdApi.ChatMember newChatMember)`
  User rights changed in a chat; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### actorUserId

    public long actorUserId
    Identifier of the user, changing the rights.

  - ### date

    public int date
    Point in time (Unix timestamp) when the user rights were changed.

  - ### inviteLink

    @Nullable public TdApi.ChatInviteLink inviteLink
    If user has joined the chat using an invite link, the invite link; may be null.

  - ### viaJoinRequest

    public boolean viaJoinRequest
    True, if the user has joined the chat after sending a join request and being approved by an administrator.

  - ### viaChatFolderInviteLink

    public boolean viaChatFolderInviteLink
    True, if the user has joined the chat using an invite link for a chat folder.

  - ### oldChatMember

    public TdApi.ChatMember oldChatMember
    Previous chat member.

  - ### newChatMember

    public TdApi.ChatMember newChatMember
    New chat member.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateChatMember

    public UpdateChatMember()
    User rights changed in a chat; for bots only.

  - ### UpdateChatMember

    public UpdateChatMember(long chatId, long actorUserId, int date, TdApi.ChatInviteLink inviteLink, boolean viaJoinRequest, boolean viaChatFolderInviteLink, TdApi.ChatMember oldChatMember, TdApi.ChatMember newChatMember)
    User rights changed in a chat; for bots only.
    Parameters:
      `chatId` - Chat identifier.
      `actorUserId` - Identifier of the user, changing the rights.
      `date` - Point in time (Unix timestamp) when the user rights were changed.
      `inviteLink` - If user has joined the chat using an invite link, the invite link; may be null.
      `viaJoinRequest` - True, if the user has joined the chat after sending a join request and being approved by an administrator.
      `viaChatFolderInviteLink` - True, if the user has joined the chat using an invite link for a chat folder.
      `oldChatMember` - Previous chat member.
      `newChatMember` - New chat member.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR